- Qt 6.8
- Qt GUI
- C++ Classes
- Key
- Qt 6.8.3 Reference Documentation

# Key Class

class QPixmapCache::Key

The QPixmapCache::Key class can be used for efficient access to the QPixmapCache. More...

- List of all members, including inherited members

## Public Functions

| Key()
| ~Key()
bool | isValid() const
void | swap(QPixmapCache::Key &other)

## Related Non-Members

`(since 6.6)` size_t | qHash(const QPixmapCache::Key &key, size_t seed = 0)

## Detailed Description

Use QPixmapCache::insert() to receive an instance of Key generated by the pixmap cache. You can store the key in your own objects for a very efficient one-to-one object-to-pixmap mapping.

## Member Function Documentation

### Key::Key()

Constructs an empty Key object.

### `[noexcept]` Key::~Key()

Destroys the key.

### `[noexcept]` bool Key::isValid() const

Returns `true` if there is a cached pixmap associated with this key. Otherwise, if pixmap was flushed, the key is no longer valid.

### `[noexcept]` void Key::swap(QPixmapCache::Key &other)

Swaps this key with other. This operation is very fast and never fails.

## Related Non-Members

### `[noexcept, since 6.6]` size_t qHash(const QPixmapCache::Key &key, size_t seed = 0)

Returns the hash value for key, using seed to seed the calculation.

This function was introduced in Qt 6.6.